/* -*- c++ -*- */
#ifndef AKAXISO_EXCEPTION_H__
#define AKAXISO_EXCEPTION_H__

#include <exception>
#include <string>

namespace aka2 {
  
  struct invalid_argument{};

  class parse_exception : public std::exception {
  public:
    parse_exception(const char *file, const unsigned long line, const std::string &msg);
    virtual ~parse_exception() throw();
    
    virtual const char *what() const throw();
  private:
    std::string msg_;
  };

  struct internal_error{};
}

#endif
